OSA Interface will shown during installation as unknown devices

Bug #1572620 reported by bugproxy on 2016-04-20
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Unassigned
debian-installer (Ubuntu)
Undecided
Dimitri John Ledkov
Xenial
Low
Dimitri John Ledkov
netcfg (Ubuntu)
High
Dimitri John Ledkov
Xenial
Low
Dimitri John Ledkov

Bug Description

[Impact]
* Descriptions in the choose interface step of d-i show "Unknown interface" for all interfaces. Previously installer would say "Ethernet" or "Wi-Fi" aka human description of the interface.

[Testcase]
* Start d-i installer with multiple ethernet interfaces
* The descriptions should state "Ethernet PCI" or similar, instead of "Unknown interface"

== Comment: #0 - Helmut Grauer - 2016-04-20 07:52:51 ==
Hi,
if you have a system where PCI Interfaces are attached , after loading parmfile OS show
the following information

Uncompressing Linux...
Ok, booting the kernel.
[ 0.759610] Initializing cgroup subsys cpuset
[ 0.759614] Initializing cgroup subsys cpu
[ 0.759615] Initializing cgroup subsys cpuacct
[ 0.759619] Linux version 4.4.0-21-generic (buildd@z13-019) (gcc version 5.3.
1 20160413 (Ubuntu 5.3.1-14ubuntu2) ) #37-Ubuntu SMP Mon Apr 18 18:31:26 UTC 201
6 (Ubuntu 4.4.0-21.37-generic 4.4.6)
[ 0.759626] setup: Linux is running natively in 64-bit mode
[ 0.759992] setup: Max memory size: 411648MB
[ 0.760022] numa: NUMA mode: plain
[ 0.787360] Zone ranges:
[ 0.787364] DMA [mem 0x0000000000000000-0x000000007fffffff]
[ 0.787366] Normal [mem 0x0000000080000000-0x000000647fffffff]
[ 0.787367] Movable zone start for each node
[ 0.787368] Early memory node ranges
[ 0.787370] node 0: [mem 0x0000000000000000-0x00000002ffffffff]
[ 0.787372] Initmem setup node 0 [mem 0x0000000000000000-0x00000002ffffffff]
[ 0.824109] PERCPU: Embedded 17 pages/cpu @00000002f2c00000 s30208 r8192 d312
32 u69632
[ 0.824325] Built 1 zonelists in Node order, mobility grouping on. Total pag
es: 3096576
[ 0.824326] Policy zone: Normal
[ 0.824328] Kernel command line: ro locale=C cio_ignore=all,!f500-f502,!af06
DEBCONF_DEBUG=5
[ 0.824328] s390-netdevice/choose_networktype=qeth
[ 0.824328] s390-netdevice/qeth/choose=0.0.f500-0.0.f501-0.0.f502
[ 0.824328] s390-netdevice/qeth/port=0 s390-netdevice/qeth/layer2=true
[ 0.824328] netcfg/confirm_static=true netcfg/disable_dhcp=true
[ 0.824328] netcfg/get_ipaddress=9.152.109.2 netcfg/get_netmask=255.255.252.0
[ 0.824328] netcfg/get_gateway=9.152.108.1 netcfg/get_nameservers=9.152.120.2
41
[ 0.824328] netcfg/get_hostname=s35lp02 netcfg/get_domain=boeblingen.de.ibm.c
om
[ 0.824328] network-console/password=123123123 network-console/password-again
=123123123
[ 0.825304] log_buf_len individual max cpu contribution: 4096 bytes
[ 0.825304] log_buf_len total cpu_extra contributions: 1044480 bytes
[ 0.825305] log_buf_len min size: 131072 bytes
[ 0.825587] log_buf_len: 2097152 bytes
[ 0.825589] early log buf free: 124488(94%)
[ 0.825593] PID hash table entries: 4096 (order: 3, 32768 bytes)
[ 0.847286] Memory: 12342380K/12582912K available (6946K kernel code, 466K rw
data, 3480K rodata, 588K init, 824K bss, 240532K reserved, 0K cma-reserved)
[ 0.847288] Write protected kernel read-only data: 0x100000 - 0xb2efff
[ 0.847528] SLUB: HWalign=256, Order=0-3, MinObjects=0, CPUs=256, Nodes=16
[ 0.847680] Hierarchical RCU implementation.
[ 0.847681] Build-time adjustment of leaf fanout to 64.
[ 0.849450] NR_IRQS:259
[ 0.851101] clocksource: tod: mask: 0xffffffffffffffff max_cycles: 0x3b0a9be8
03b0a9, max_idle_ns: 1805497147909793 ns
[ 0.959771] console [ttyS0] enabled
[ 1.142393] pid_max: default: 262144 minimum: 2048
[ 1.142448] Security Framework initialized
[ 1.142450] Yama: becoming mindful.
[ 1.142598] AppArmor: AppArmor initialized
[ 1.143257] Dentry cache hash table entries: 2097152 (order: 12, 16777216 byt
es)
[ 1.151111] Inode-cache hash table entries: 1048576 (order: 11, 8388608 bytes
)
[ 1.154700] Mount-cache hash table entries: 32768 (order: 6, 262144 bytes)
[ 1.154711] Mountpoint-cache hash table entries: 32768 (order: 6, 262144 byte
s)
[ 1.155241] Initializing cgroup subsys io
[ 1.155244] Initializing cgroup subsys memory
[ 1.155276] Initializing cgroup subsys devices
[ 1.155278] Initializing cgroup subsys freezer
[ 1.155280] Initializing cgroup subsys net_cls
[ 1.155283] Initializing cgroup subsys perf_event
[ 1.155290] Initializing cgroup subsys net_prio
[ 1.155292] Initializing cgroup subsys hugetlb
[ 1.155293] Initializing cgroup subsys pids
[ 1.155321] ftrace: allocating 21617 entries in 85 pages
[ 1.232182] cpu: 4 configured CPUs, 0 standby CPUs
[ 1.232222] cpu: The CPU configuration topology of the machine is: 0 0 0 8 3
8 / 3
[ 1.234006] Brought up 4 CPUs
[ 1.234861] devtmpfs: initialized
[ 1.235448] evm: security.selinux
[ 1.235449] evm: security.SMACK64
[ 1.235450] evm: security.SMACK64EXEC
[ 1.235451] evm: security.SMACK64TRANSMUTE
[ 1.235452] evm: security.SMACK64MMAP
[ 1.235466] evm: security.ima
[ 1.235467] evm: security.capability
[ 1.235621] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, ma
x_idle_ns: 19112604462750000 ns
[ 1.235907] NET: Registered protocol family 16
[ 1.271699] SCSI subsystem initialized
[ 1.292022] NetLabel: Initializing
[ 1.292023] NetLabel: domain hash size = 128
[ 1.292024] NetLabel: protocols = UNLABELED CIPSOv4
[ 1.292032] NetLabel: unlabeled traffic allowed by default
[ 1.296451] PCI host bridge to bus 0000:00
[ 1.296454] pci_bus 0000:00: root bus resource [mem 0x8000000000000000-0x8000
0000007fffff 64bit pref]
[ 1.296456] pci_bus 0000:00: No busn resource found for root bus, will use [b
us 00-ff]
[ 1.299301] iommu: Adding device 0000:00:00.0 to group 0
[ 1.301960] PCI host bridge to bus 0001:00
[ 1.301962] pci_bus 0001:00: root bus resource [mem 0x8001000000000000-0x8001
0000007fffff 64bit pref]
[ 1.301964] pci_bus 0001:00: No busn resource found for root bus, will use [b
us 00-ff]
[ 1.304776] iommu: Adding device 0001:00:00.0 to group 1
[ 1.919813] AppArmor: AppArmor Filesystem Enabled
[ 1.920090] NET: Registered protocol family 2
[ 1.920630] TCP established hash table entries: 131072 (order: 8, 1048576 byt
es)
[ 1.921209] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
[ 1.921657] TCP: Hash tables configured (established 131072 bind 65536)
[ 1.921712] UDP hash table entries: 8192 (order: 6, 262144 bytes)
[ 1.921849] UDP-Lite hash table entries: 8192 (order: 6, 262144 bytes)
[ 1.922298] NET: Registered protocol family 1
[ 1.922335] Trying to unpack rootfs image as initramfs...
[ 2.059203] Freeing initrd memory: 10356K (0000000001476000 - 0000000001e9300
0)
[ 2.063066] futex hash table entries: 65536 (order: 12, 16777216 bytes)
[ 2.065234] audit: initializing netlink subsys (disabled)
[ 2.065255] audit: type=2000 audit(1461152757.608:1): initialized
[ 2.065401] Initialise system trusted keyring
[ 2.065574] HugeTLB registered 1 MB page size, pre-allocated 0 pages
[ 2.066616] zbud: loaded
[ 2.066790] VFS: Disk quotas dquot_6.6.0
[ 2.066847] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[ 2.067312] fuse init (API version 7.23)
[ 2.067437] Key type big_key registered
[ 2.067838] Key type asymmetric registered
[ 2.067840] Asymmetric key parser 'x509' registered
[ 2.067886] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 2
52)
[ 2.067951] io scheduler noop registered
[ 2.067953] io scheduler deadline registered (default)
[ 2.067981] io scheduler cfq registered
[ 2.068009] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[ 2.068013] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[ 2.068048] hvc_iucv: The z/VM IUCV HVC device driver cannot be used without
z/VM
[ 2.071849] brd: module loaded
[ 2.073954] loop: module loaded
[ 2.074012] tun: Universal TUN/TAP device driver, 1.6
[ 2.074013] tun: (C) 1999-2004 Max Krasnyansky
[ 2.074043] md: multipath personality registered for level -4
[ 2.074201] device-mapper: uevent: version 1.0.3
[ 2.074268] device-mapper: ioctl: 4.34.0-ioctl (2015-10-28) initialised: dm-d
<email address hidden>
[ 2.074300] cio: Channel measurement facility initialized using format extend
ed (mode autodetected)
[ 2.342430] sclp_cmd: Standby memory at 0x300000000 (399360M of 399360M usabl
e)
[ 4.330650] NET: Registered protocol family 10
[ 4.331315] NET: Registered protocol family 17
[ 4.331326] Key type dns_resolver registered
[ 4.331530] registered taskstats version 1
[ 4.331541] Loading compiled-in X.509 certificates
[ 4.332375] Loaded X.509 cert 'Build time autogenerated kernel key: 50241365f
679a4b46f13316862d3d564e7a84d80'
[ 4.332396] zswap: loaded using pool lzo/zbud
[ 4.334136] Key type trusted registered
[ 4.336769] Key type encrypted registered
[ 4.336774] AppArmor: AppArmor sha1 policy hashing enabled
[ 4.336779] ima: No TPM chip found, activating TPM-bypass!
[ 4.336803] evm: HMAC attrs: 0x1
[ 4.337400] Freeing unused kernel memory: 588K (0000000000c5c000 - 0000000000
cef000)
[ 4.344147] random: systemd-udevd urandom read with 21 bits of entropy availa
ble
[ 4.376987] ccwgroup: module verification failed: signature and/or required k
ey missing - tainting kernel
[ 4.378286] qeth: loading core functions
[ 4.382694] mlx4_core: Mellanox ConnectX core driver v2.2-1 (Feb, 2014)
[ 4.382712] mlx4_core: Initializing 0000:00:00.0
[ 4.382774] mlx4_core 0000:00:00.0: enabling device (0000 -> 0002)
[ 4.383820] mlx4_core 0000:00:00.0: Detected virtual function - running in sl
ave mode
[ 4.383863] mlx4_core 0000:00:00.0: Sending reset
[ 4.392580] mlx4_core 0000:00:00.0: Sending vhcr0
[ 4.450808] mlx4_core 0000:00:00.0: Requested number of MACs is too much for
port 1, reducing to 64
[ 4.450811] mlx4_core 0000:00:00.0: Requested number of VLANs is too much for
port 1, reducing to 1
[ 4.456076] mlx4_core 0000:00:00.0: HCA minimum page size:512
[ 4.481429] mlx4_core 0000:00:00.0: Timestamping is not supported in slave mo
de
[ 4.723876] mlx4_core: Initializing 0001:00:00.0
[ 4.723936] mlx4_core 0001:00:00.0: enabling device (0000 -> 0002)
[ 4.725000] mlx4_core 0001:00:00.0: Detected virtual function - running in sl
ave mode
[ 4.725039] mlx4_core 0001:00:00.0: Sending reset
[ 4.730704] mlx4_core 0001:00:00.0: Sending vhcr0
[ 4.796587] mlx4_core 0001:00:00.0: Requested number of MACs is too much for
port 1, reducing to 64
[ 4.796589] mlx4_core 0001:00:00.0: Requested number of VLANs is too much for
port 1, reducing to 1
[ 4.801829] mlx4_core 0001:00:00.0: HCA minimum page size:512
[ 4.826852] mlx4_core 0001:00:00.0: Timestamping is not supported in slave mo
de
[ 5.061876] pps_core: LinuxPPS API ver. 1 registered
[ 5.061878] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giome
tti
[ 5.062014] PTP clock support registered
[ 5.063328] mlx4_en: Mellanox ConnectX HCA Ethernet driver v2.2-1 (Feb 2014)
[ 5.077936] mlx4_en 0000:00:00.0: Activating port:1
[ 6.024571] mlx4_en: 0000:00:00.0: Port 1: Using 32 TX rings
[ 6.024573] mlx4_en: 0000:00:00.0: Port 1: Using 4 RX rings
[ 6.024575] mlx4_en: 0000:00:00.0: Port 1: frag:0 - size:1522 prefix:0 stri
de:1536
[ 6.029000] mlx4_en: 0000:00:00.0: Port 1: Initializing port
[ 6.036024] mlx4_en 0000:00:00.0: Activating port:2
[ 6.583740] mlx4_en: 0000:00:00.0: Port 2: Using 32 TX rings
[ 6.583742] mlx4_en: 0000:00:00.0: Port 2: Using 4 RX rings
[ 6.583744] mlx4_en: 0000:00:00.0: Port 2: frag:0 - size:1522 prefix:0 stri
de:1536
[ 6.588245] mlx4_en: 0000:00:00.0: Port 2: Initializing port
[ 6.600597] mlx4_en 0001:00:00.0: Activating port:1
[ 7.176809] mlx4_en: 0001:00:00.0: Port 1: Using 32 TX rings
[ 7.176811] mlx4_en: 0001:00:00.0: Port 1: Using 4 RX rings
[ 7.176813] mlx4_en: 0001:00:00.0: Port 1: frag:0 - size:1522 prefix:0 stri
de:1536
[ 7.181528] mlx4_en: 0001:00:00.0: Port 1: Initializing port
[ 7.188231] mlx4_en 0001:00:00.0: Activating port:2
[ 7.721187] mlx4_en: 0001:00:00.0: Port 2: Using 32 TX rings
[ 7.721189] mlx4_en: 0001:00:00.0: Port 2: Using 4 RX rings
[ 7.721190] mlx4_en: 0001:00:00.0: Port 2: frag:0 - size:1522 prefix:0 stri
de:1536
[ 7.727904] mlx4_en: 0001:00:00.0: Port 2: Initializing port
[ 7.739419] mlx4_core 0001:00:00.0 enP1p0s0d1: renamed from eth3
[ 7.801285] mlx4_core 0000:00:00.0 enp0s0: renamed from eth0
[ 7.851219] mlx4_core 0000:00:00.0 enp0s0d1: renamed from eth1
[ 7.891210] mlx4_core 0001:00:00.0 enP1p0s0: renamed from eth2
Starting system log daemon: syslogd, klogd.
[1;24r[4l(B)0[m[1;24r[H[J[24;1H[m
Configure the network
---------------------
Your system has multiple network interfaces. Choose the one to use as the
primary network interface during the installation. If possible, the first
connected network interface found has been selected.
Primary network interface:
1: enP1p0s0: Unknown interface [*], 4: enp0s0: Unknown interface,
2: enP1p0s0d1: Unknown interface, 5: enp0s0d1: Unknown interface,
3: encf500: Unknown interface,
Prompt: '?' for help, default=1>

Interface encf500 is the OSA Interface which will be used for installation and is defined in parmfile.
If you do not have PCI Interface on LPAR OSA Interface will not shown as Unknown interface

bugproxy (bugproxy) on 2016-04-20
tags: added: architecture-s39064 bugnameltc-140519 severity-high targetmilestone-inin16041
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
Kevin W. Rudd (kevinr) on 2016-04-20
affects: ubuntu → debian-installer (Ubuntu)
dann frazier (dannf) on 2016-04-20
Changed in debian-installer (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Dimitri John Ledkov (xnox)
Changed in ubuntu-z-systems:
importance: Undecided → High

------- Comment (attachment only) From <email address hidden> 2016-04-21 05:40 EDT-------

------- Comment (attachment only) From <email address hidden> 2016-04-21 05:42 EDT-------

------- Comment (attachment only) From <email address hidden> 2016-04-21 06:06 EDT-------

Dimitri John Ledkov (xnox) wrote :

Hello,

Please consult Ubuntu Installation Guide, Appendix B. Automating the installation using preseeding, B.4. Contents of the preconfiguration file (for xenial), B.4.2. Network configuration.

https://help.ubuntu.com/16.04/installation-guide/s390x/apbs04.html#preseed-network

The question that is asked is netcfg/choose_interfaces, that is not currently preseeded. By default, if there is only one interface this question is not asked at all.

However on this system it appears that you have multiple interfaces available. And the PCI interfaces have probably detected link too.

Therefore preseeding "auto" will probably end up using the interface you do not want.

Instead you should preseed:
netcfg/choose_interface=encf500

in the param file, or if using preseed.cfg appended to the initramfs:
d-i netcfg/choose_interface select encf500

Given multiple activated and available interfaces on the system, one must pressed which one to use.

On a side note - does installation work at all with PCI networking only? (and no qeth devices activated?!)

I am inclined to mark this bug report as invalid, as the described behavior is normal for pressed installation with multiple available network cards, on any supported architectures on ubuntu.

Extract of guidance from section B.4.2:
"""
# netcfg will choose an interface that has link if possible. This makes it
# skip displaying a list if there is more than one interface.
d-i netcfg/choose_interface select auto

# To pick a particular interface instead:
#d-i netcfg/choose_interface select eth1
"""

Changed in s390-netdevice (Ubuntu):
status: New → Invalid
Changed in debian-installer (Ubuntu):
status: New → Incomplete
assignee: Dimitri John Ledkov (xnox) → nobody
Changed in ubuntu-z-systems:
status: New → Incomplete
Download full text (3.5 KiB)

------- Comment From <email address hidden> 2016-05-27 08:43 EDT-------
Hi changed in Summary from OSA to PCI.
If you try to install from a PCI device without Pressed file and you have no OSA Interface attached to your system :during installation you will not get t the point to define PCI interface it will not recognize.
First time I did the installation when a OSA device was attached to the system and changed it the to PCI which are shown as unknown devices.
If no OSA is defined you will not have the change to install over PCI devices

Try to install on zVM Guest s8328004

PCI device was attached to zVM Guest

cp q pcifunction
00: PCIF 0000004A ATTACHED TO S8328004 0000004A ENABLED 10GbE RoCE
00: PCIF 0000004B FREE DISABLED 10GbE RoCE
00: PCIF 0000004C FREE DISABLED 10GbE RoCE
00: PCIF 0000004D FREE DISABLED 10GbE RoCE

Message
I selected 2 for OSA devices becaus eno menu for PCI devices

4: virtio: KVM VirtIO,
Prompt: '?' for help>
RUNNING BOES8328

de:1536
? 0.815605| mlx4_en: 0000:00:00.0: Port 2: Initializing port
? 0.816896| mlx4_core 0000:00:00.0 enp0s0: renamed from eth0
? 0.837780| mlx4_core 0000:00:00.0 enp0s0d1: renamed from eth1
Starting system log daemon: syslogd, klogd.
?1;24r ?4l (B )0 ?m ?1;24r ?H ?J ?24;1H ?m
Configure the network device
?? ERROR: No OSA-Express QDIO cards / HiperSockets

No OSA-Express QDIO cards / HiperSockets were detected. If you are running VM
please make sure that your card is attached to this guest.
?Press enter to continue|

?? ERROR: Installation step failed

An installation step failed. You can try to run the failing item again from the

menu, or skip it and choose something else. The failing step is: Configure the

network device
?Press enter to continue|

Greetings Helmut

------- Comment From <email address hidden> 2016-05-27 08:49 EDT-------
Sorry copy and passed worked not ell missed part of installation messages .
Here it is complete
de:1536
? 0.815605| mlx4_en: 0000:00:00.0: Port 2: Initializing port
? 0.816896| mlx4_core 0000:00:00.0 enp0s0: renamed from eth0
? 0.837780| mlx4_core 0000:00:00.0 enp0s0d1: renamed from eth1
Starting system log daemon: syslogd, klogd.
?1;24r ?4l (B )0 ?m ?1;24r ?H ?J ?24;1H ?m
Configure the network device
----------------------------

Please choose the type of your primary network interface that you will need for

installing the Debian system (via NFS or HTTP). Only the listed devices are
supported.
Network device type:
1: ctc: Channel to Channel (CTC) or ESCON connection,
2: qeth: OSA-Express in QDIO mode / HiperSockets,
3: iucv: Inter-User Communication Vehicle - available for VM guests only,

4: virtio: KVM VirtIO,
Prompt: '?' for help>

RUNNING BOES8328

de:1536
? 0.815605| mlx4_en: 0000:00:00.0: Port 2: Initializing port
? 0.816896| mlx4_core 0000:00:00.0 enp0s0: renamed from eth0
? 0.837780| mlx4_core 0000:00:00.0 enp0s0d1: renamed from eth1
Starting system log daemon: syslogd, klogd.
?1;24r ?4l (B )0 ?m ?1;24r ?H ?J ?24;1H ?m
Configure the network device

?? ERROR: No OSA-Express QDIO cards / HiperSockets

No OSA-Express QDIO cards / HiperSo...

Read more...

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-05-31 10:36 EDT-------
PCI interfaces (like virtio) don't need extra configuration but the s390-netdevice menu wants you to choose something. The way out would be to select virtio in this case. Which is confusing.
I have opened a Debian bug to address this: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=825931.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-05-31 11:02 EDT-------
Hi Select
4: virtio: KVM VirtIO,
for installation over PCI interface and that was possible to configure PCI Interface and make a successful intsallation

Helmut

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-08-29 12:58 EDT-------
Making public for LP visibility and consideration for documentation update:

[Note: Comments 13 & 14 == LP Comments 6 & 7]

(In reply to comment #16)
> Hi Kevin,
> as I mentioned in Comment 14 the installation was possible and functional
> complete for VM and LPAR. if you choose 4: virtio: KVM VirtIO,
> Victor open a debian bug as described in Comment 13, This debian bug is
> still open and I do not know if it is possible to get this change
> implemented in debian.
> For a customer point of view he will never recognize that he hast to choose
> 4: virtio: KVM VirtIO, to install form a PCI Interface.
> So this should described in documentation i.e. Installation Guide or other
> documentation related to installation.
> Greetings Helmut

Dimitri John Ledkov (xnox) wrote :

Right, imho netdevice question is no longer essential and should only be shown if there are any qeth device to active. Because from the code it looks like it is not possible to complete installation with ctc / iucv / virtio options. (virtio is no-op, iucv & ctc support appear incomplete). Thus qeth is the only option, and is only relevant when actually present on the system.

Changed in s390-netdevice (Ubuntu):
status: Invalid → Confirmed
assignee: nobody → Dimitri John Ledkov (xnox)
Changed in debian-installer (Ubuntu):
status: Incomplete → Confirmed
Changed in ubuntu-z-systems:
status: Incomplete → Confirmed
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-09-07 05:19 EDT-------
After discussion with Canonical, changed target to 16.10.
But also requested for SRU on 16.04.2.

tags: added: targetmilestone-inin1610
removed: targetmilestone-inin16041
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-11-02 10:56 EDT-------
Changed target to 17.04. Not included within 16.10 & installer component

tags: added: targetmilestone-inin1704
removed: targetmilestone-inin1610
Dimitri John Ledkov (xnox) wrote :

Since this bug was openeing, there have been subsequent changes to the installer. Specifically, this whole module / question is not raised, if there are no qeth devices to activate. Is there anything else you expect to be done for this bug report, in light of other improvements that happening to the networking setup UX during installation? Or should this bug report be closed?

There is a lot of overlapping history here. Such that opening a new (clean) request, for anything outstanding may help to move this ticket along.

Dimitri John Ledkov (xnox) wrote :

I have finally realised what this is about. Since the move to stable udev names, all the detection/labels in netcfg are wrong.

affects: s390-netdevice (Ubuntu) → netcfg (Ubuntu)
Changed in netcfg (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Changed in netcfg (Ubuntu):
status: Triaged → Fix Committed
Changed in debian-installer (Ubuntu):
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package netcfg - 1.138ubuntu3

---------------
netcfg (1.138ubuntu3) zesty; urgency=medium

  * Also use short stable systemd-udev names to discover descriptions for
    the network interfaces. LP: #1572620

 -- Dimitri John Ledkov <email address hidden> Mon, 09 Jan 2017 12:51:54 +0000

Changed in netcfg (Ubuntu):
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-01-09 09:18 EDT-------
IBM bugzilla-> closed

Changed in ubuntu-z-systems:
status: Confirmed → In Progress
Changed in netcfg (Ubuntu Xenial):
status: New → Confirmed
Changed in debian-installer (Ubuntu Xenial):
status: New → Confirmed
importance: Undecided → Low
Changed in netcfg (Ubuntu Xenial):
importance: Undecided → Low
Changed in debian-installer (Ubuntu Xenial):
milestone: none → xenial-updates
Changed in netcfg (Ubuntu Xenial):
milestone: none → xenial-updates
Changed in debian-installer (Ubuntu Xenial):
assignee: nobody → Dimitri John Ledkov (xnox)
Changed in netcfg (Ubuntu Xenial):
assignee: nobody → Dimitri John Ledkov (xnox)
Changed in debian-installer (Ubuntu):
assignee: nobody → Dimitri John Ledkov (xnox)
milestone: none → ubuntu-17.01
Changed in netcfg (Ubuntu):
milestone: none → ubuntu-17.01
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu491

---------------
debian-installer (20101020ubuntu491) zesty; urgency=medium

  * Rebuild for new netcfg LP: #1572620.

 -- Dimitri John Ledkov <email address hidden> Mon, 09 Jan 2017 16:20:11 +0000

Changed in debian-installer (Ubuntu):
status: In Progress → Fix Released
Changed in ubuntu-z-systems:
status: In Progress → Confirmed
Changed in netcfg (Ubuntu Xenial):
status: Confirmed → In Progress
Changed in debian-installer (Ubuntu Xenial):
status: Confirmed → Triaged
Changed in ubuntu-z-systems:
status: Confirmed → In Progress

Hello bugproxy, or anyone else affected,

Accepted netcfg into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netcfg/1.135ubuntu4.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in netcfg (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Dimitri John Ledkov (xnox) wrote :

netcfg is embedded into the d-i, so I took current d-i from xenial updates and rebuilt it with sbuild to get the new netcfg from xenial-proposed.

upon reacing the select interfaces step, all interfaces now have human descriptions e.g. "Ethernet PCI" and "Ethernet CCW bus" instead of "Unknown device".

I checked using d-i shell that netcfg is at 1.135ubuntu4.2 as reported in /var/lib/dpkg/status file

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package netcfg - 1.135ubuntu4.2

---------------
netcfg (1.135ubuntu4.2) xenial; urgency=medium

  * Do now show an empty option 4 when using netcfg, without a wifi-card,
    and when automatic configuration fails. This is achieved by
    substituting all choices into the question, from two internal select
    templates of identical options but wifireconf one. This resolves UX
    bug without changing translation strings or fuzzing any of the
    existing translations. LP: #1558271
  * Also use short stable systemd-udev names to discover descriptions for
    the network interfaces. LP: #1572620

 -- Dimitri John Ledkov <email address hidden> Wed, 18 Jan 2017 11:45:36 +0000

Changed in netcfg (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu451.10

---------------
debian-installer (20101020ubuntu451.10) xenial; urgency=medium

  [ dann frazier ]
  * arm64/xgene-uboot: Set the correct compression flag when generating
    a uImage of a gzip'd kernel. LP: #1384955.
  * Tell GRUB to load the gzio module on arm64 now that we're booting
    a compressed kernel. LP: #1632473.

  [ Adam Conrad ]
  * Add HWE variants for all architectures except powerpc (LP: #1662712)
  * Move master kernels to 4.4.0-62.
  * Rebuild to pick up new components (LP: #1572620, #1558271)

 -- Adam Conrad <email address hidden> Tue, 07 Feb 2017 07:13:40 -0700

Changed in debian-installer (Ubuntu Xenial):
status: Triaged → Fix Released

The verification of the Stable Release Update for debian-installer has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in ubuntu-z-systems:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.